"""Add generic integrations

Revision ID: 79122d7f257c
Revises: f3d5eadeca8d
Create Date: 2018-10-30 17:18:24.498630

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "79122d7f257c"
down_revision = "f3d5eadeca8d"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "people",
        sa.Column(
            "linked_services",
            postgresql.JSONB(astext_type=sa.Text()),
            server_default="{}",
            nullable=False,
        ),
    )
    op.alter_column(
        "people",
        "acl",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        server_default="{}",
        nullable=False,
    )
    op.alter_column(
        "people",
        "directories",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        server_default="{}",
        nullable=False,
    )
    op.alter_column(
        "people",
        "extra",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        server_default="{}",
        nullable=False,
    )
    op.alter_column(
        "people",
        "ldap",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        server_default="{}",
        nullable=False,
    )
    op.drop_column("people", "chat_link")
    op.drop_column("people", "chat_hidden")
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "people",
        sa.Column(
            "chat_hidden",
            sa.BOOLEAN(),
            server_default=sa.text("false"),
            autoincrement=False,
            nullable=False,
        ),
    )
    op.add_column(
        "people",
        sa.Column("chat_link", sa.VARCHAR(), autoincrement=False, nullable=True),
    )
    op.alter_column(
        "people",
        "ldap",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        nullable=True,
    )
    op.alter_column(
        "people",
        "extra",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        nullable=True,
    )
    op.alter_column(
        "people",
        "directories",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        nullable=True,
    )
    op.alter_column(
        "people",
        "acl",
        existing_type=postgresql.JSONB(astext_type=sa.Text()),
        nullable=True,
    )
    op.drop_column("people", "linked_services")
    # ### end Alembic commands ###
